# Uses of Class
org.xnio.XnioIoThread

Packages that use XnioIoThread
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.
org.xnio.conduits
The XNIO conduit SPI.
org.xnio.ssl
Utility classes for using and implementing SSL within XNIO providers.

## Uses of XnioIoThread in org.xnio

Fields in org.xnio declared as XnioIoThread
Modifier and Type
Field
Description
`protected final XnioIoThread`
Connection.`thread`
Methods in org.xnio that return XnioIoThread
Modifier and Type
Method
Description
`protected abstract XnioIoThread`
XnioWorker.`chooseThread()`
Choose a thread randomly from this worker.
`static XnioIoThread`
XnioIoThread.`currentThread()`
Get the current XNIO thread.
`XnioIoThread`
Connection.`getIoThread()`
`final XnioIoThread`
XnioWorker.`getIoThread()`
Get an I/O thread from this worker.
`abstract XnioIoThread`
XnioWorker.`getIoThread(int hashCode)`
Get an I/O thread from this worker.
`static XnioIoThread`
XnioIoThread.`requireCurrentThread()`
Get the current XNIO thread.
Constructors in org.xnio with parameters of type XnioIoThread
Modifier
Constructor
Description
`protected`
`Connection(XnioIoThread thread)`
Construct a new instance.
`protected`
`MessageConnection(XnioIoThread thread)`
Construct a new instance.
`protected`
`StreamConnection(XnioIoThread thread)`
Construct a new instance.

## Uses of XnioIoThread in org.xnio.channels

Methods in org.xnio.channels that return XnioIoThread
Modifier and Type
Method
Description
`XnioIoThread`
AssembledChannel.`getIoThread()`
`XnioIoThread`
AssembledMessageChannel.`getIoThread()`
`XnioIoThread`
AssembledStreamChannel.`getIoThread()`
`XnioIoThread`
CloseableChannel.`getIoThread()`
Get the I/O thread associated with this channel.
`XnioIoThread`
EmptyStreamSourceChannel.`getIoThread()`
`XnioIoThread`
FixedLengthStreamSinkChannel.`getIoThread()`
`XnioIoThread`
FixedLengthStreamSourceChannel.`getIoThread()`
`XnioIoThread`
NullStreamSinkChannel.`getIoThread()`
`XnioIoThread`
PushBackStreamChannel.`getIoThread()`
`XnioIoThread`
SplitStreamSinkChannel.`getIoThread()`
`XnioIoThread`
SplitStreamSourceChannel.`getIoThread()`
`XnioIoThread`
SuspendableAcceptChannel.`getIoThread()`
Get an accept thread for this channel.
`XnioIoThread`
TranslatingSuspendableChannel.`getIoThread()`
Deprecated.
Get the I/O thread associated with this channel.
Constructors in org.xnio.channels with parameters of type XnioIoThread
Modifier
Constructor
Description
``
`EmptyStreamSourceChannel(XnioIoThread thread)`
Construct a new instance.
``
`NullStreamSinkChannel(XnioIoThread thread)`
Construct a new instance.

## Uses of XnioIoThread in org.xnio.conduits

Methods in org.xnio.conduits that return XnioIoThread
Modifier and Type
Method
Description
`XnioIoThread`
ConduitReadableMessageChannel.`getIoThread()`
`XnioIoThread`
ConduitStreamSinkChannel.`getIoThread()`
`XnioIoThread`
ConduitStreamSourceChannel.`getIoThread()`
`XnioIoThread`
ConduitWritableMessageChannel.`getIoThread()`
`XnioIoThread`
AbstractSourceConduit.`getReadThread()`
`XnioIoThread`
AbstractSynchronizedSourceConduit.`getReadThread()`
`XnioIoThread`
EmptyStreamSourceConduit.`getReadThread()`
`XnioIoThread`
SourceConduit.`getReadThread()`
Get the XNIO read thread.
`XnioIoThread`
StreamSourceChannelWrappingConduit.`getReadThread()`
`XnioIoThread`
AbstractSinkConduit.`getWriteThread()`
`XnioIoThread`
AbstractSynchronizedSinkConduit.`getWriteThread()`
`XnioIoThread`
NullStreamSinkConduit.`getWriteThread()`
`XnioIoThread`
SinkConduit.`getWriteThread()`
Get the write thread for this conduit.
`XnioIoThread`
StreamSinkChannelWrappingConduit.`getWriteThread()`
Constructors in org.xnio.conduits with parameters of type XnioIoThread
Modifier
Constructor
Description
``
`EmptyStreamSourceConduit(XnioIoThread readThread)`
Construct a new instance.
``
`NullStreamSinkConduit(XnioIoThread writeThread)`
Construct a new instance.

## Uses of XnioIoThread in org.xnio.ssl

Methods in org.xnio.ssl with parameters of type XnioIoThread
Modifier and Type
Method
Description
`IoFuture<SslConnection>`
JsseXnioSsl.`openSslConnection(XnioIoThread ioThread, InetSocketAddress bindAddress, InetSocketAddress destination, ChannelListener<? super SslConnection> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
`abstract IoFuture<SslConnection>`
XnioSsl.`openSslConnection(XnioIoThread ioThread, InetSocketAddress bindAddress, InetSocketAddress destination, ChannelListener<? super SslConnection> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Create an SSL connection to a remote host.
`IoFuture<SslConnection>`
XnioSsl.`openSslConnection(XnioIoThread ioThread, InetSocketAddress bindAddress, InetSocketAddress destination, ChannelListener<? super SslConnection> openListener, OptionMap optionMap)`
Create an SSL connection to a remote host.
`IoFuture<SslConnection>`
XnioSsl.`openSslConnection(XnioIoThread ioThread, InetSocketAddress destination, ChannelListener<? super SslConnection> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Create an SSL connection to a remote host.
`IoFuture<SslConnection>`
XnioSsl.`openSslConnection(XnioIoThread ioThread, InetSocketAddress destination, ChannelListener<? super SslConnection> openListener, OptionMap optionMap)`
Create an SSL connection to a remote host.
Constructors in org.xnio.ssl with parameters of type XnioIoThread
Modifier
Constructor
Description
`protected`
`SslConnection(XnioIoThread thread)`
Construct a new instance.